# Copyright 1999-2009 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI="2"

inherit eutils games

DESCRIPTION="A graphical version of SLASH'EM"
HOMEPAGE="http://clivecrous.github.com/vultures/"
SRC_URI="http://downloads.usrsrc.org/vultures/${PV}/vultures-${PV}-claw.tar.gz"

KEYWORDS="~x86"
LICENSE="nethack"
SLOT="0"
IUSE=""
DEPEND="media-libs/libsdl
	dev-util/yacc
	dev-util/byacc
	media-libs/sdl-mixer
	media-libs/sdl-ttf"
RDEPEND="media-libs/libsdl
	media-sound/timidity++
	virtual/mpg123
	media-libs/sdl-mixer
	media-libs/sdl-ttf"

S="${WORKDIR}/vultures-2.1.2/slashem"
src_prepare(){

	cp -fn "${S}"/sys/unix/Makefile.top "${S}"/Makefile 
	cp -fn "${S}"/sys/unix/Makefile.dat "${S}"/dat/Makefile
	cp -fn "${S}"/sys/unix/Makefile.doc "${S}"/doc/Makefile
	cp -fn "${S}"/sys/unix/Makefile.src "${S}"/src/Makefile
	cp -fn "${S}"/sys/unix/Makefile.utl "${S}"/util/Makefile
	
	cp -fn "${S}"/sys/share/dgn_comp.h "${S}"/include/dgn_comp.h
	cp -fn "${S}"/sys/share/lev_comp.h "${S}"/include/lev_comp.h
	cp -fn "${S}"/sys/share/dgn_lex.c "${S}"/util/dgn_lex.c
	cp -fn "${S}"/sys/share/dgn_yacc.c "${S}"/util/dgn_yacc.c
	cp -fn "${S}"/sys/share/lev_lex.c "${S}"/util/lev_lex.c
	cp -fn "${S}"/sys/share/lev_yacc.c "${S}"/util/lev_yacc.c
	cd "${S}"
	epatch "${FILESDIR}/${PV}-gentoo.patch"
	sed -i "s:GENTOO_STATEDIR:${GAMES_STATEDIR}/${PN}:" include/unixconf.h || die "setting statedir"
	sed -i "s:GENTOO_HACKDIR:${GAMES_DATADIR}/${PN}:" include/config.h || die "seting hackdir"
#	sed -i 's:/usr/local/bin/timidity:/usr/bin/timidity:' win/jtp/gamedata/config/jtp_opts.txt
}

src_compile() {
	emake \
		CFLAGS="${CFLAGS} -I${S}/include -I${S}/win/vultures -I${S}/sys/share \
		`sdl-config --cflags` \
		-DUSE_SDL_SYSCALLS -DVULTURESCLAW" \
			|| die "game failed"
	cd doc
	emake || die "doc failed"
}

src_install() {
	emake \
		CFLAGS="${CFLAGS} -I${S}/include \
		-I${S}/win/vultures -I${S}/sys/share"\
		GAMEPERM=0755 \
		PREFIX=${D}/usr \
		GAME=vulturesclaw \
		GAMEUID=${GAMES_USER} \
		GAMEGRP=${GAMES_GROUP} \
		GAMEDIR=${D}/${GAMES_DATADIR}/${PN} \
		VARDIR=${D}/${GAMES_STATEDIR}/${PN} \
		SHELLDIR=${D}/${GAMES_BINDIR} \
		install \
		|| die "install failed"
	dosed "s:${D}/::" "${GAMES_BINDIR}/vulturesclaw"
	sed 's:nethack:falconseye:g' doc/slashem.6 > doc/vulturesclaw.6
	doman doc/vulturesclaw.6
	dodoc README
	prepgamesdirs
	chmod -R g+w "${D}/${GAMES_STATEDIR}"
}
