# Copyright 1999-2009 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI="2"

inherit eutils games

DESCRIPTION="A graphical version of nethack"
HOMEPAGE="http://clivecrous.github.com/vultures/"
SRC_URI="http://downloads.usrsrc.org/vultures/${PV}/vultures-${PV}-eye.tar.gz"

KEYWORDS="~x86"
LICENSE="nethack"
SLOT="0"
IUSE=""
DEPEND="media-libs/libsdl
	dev-util/yacc
	dev-util/byacc
	media-libs/sdl-ttf
	media-libs/sdl-mixer"
RDEPEND="media-libs/libsdl
	media-sound/timidity++
	virtual/mpg123
	media-libs/sdl-ttf
	media-libs/sdl-mixer"

S=${WORKDIR}"/vultures-2.1.2/nethack"
src_prepare(){

	cp "${S}"/sys/unix/Makefile.top "${S}"/Makefile 
	cp "${S}"/sys/unix/Makefile.dat "${S}"/dat/Makefile
	cp "${S}"/sys/unix/Makefile.doc "${S}"/doc/Makefile
	cp "${S}"/sys/unix/Makefile.src "${S}"/src/Makefile
	cp "${S}"/sys/unix/Makefile.utl "${S}"/util/Makefile

	cd "${S}"
	epatch "${FILESDIR}/${PV}-gentoo-paths.patch"
	epatch "${FILESDIR}/${PV}-default-options.patch"
	sed -i "s:GENTOO_STATEDIR:${GAMES_STATEDIR}/${PN}:" include/unixconf.h || die "setting statedir"
	sed -i "s:GENTOO_HACKDIR:${GAMES_DATADIR}/${PN}:" include/config.h || die "seting hackdir"
#	sed -i 's:/usr/local/bin/timidity:/usr/bin/timidity:' win/jtp/gamedata/config/jtp_opts.txt
}

src_compile() {
	emake \
		CFLAGS="${CFLAGS} -I${S}/include -I${S}/win/vultures \
		`sdl-config --cflags` \
		-DUSE_SDL_SYSCALLS -DVULTURESEYE" \
			|| die "game failed"
	cd doc
	emake || die "doc failed"
}

src_install() {
	emake \
		GAMEPERM=0755 \
		PREFIX=${D}/usr \
		GAME=vultureseye \
		GAMEUID=${GAMES_USER} \
		GAMEGRP=${GAMES_GROUP} \
		GAMEDIR=${D}/${GAMES_DATADIR}/${PN} \
		VARDIR=${D}/${GAMES_STATEDIR}/${PN} \
		SHELLDIR=${D}/${GAMES_BINDIR} \
		install \
		|| die "install failed"
	dosed "s:${D}/::" "${GAMES_BINDIR}/vultureseye"
	sed 's:nethack:falconseye:g' doc/nethack.6 > doc/vultureseye.6
	doman doc/vultureseye.6
	dodoc README
	prepgamesdirs
	chmod -R g+w "${D}/${GAMES_STATEDIR}"
}
